import { jsx } from "react/jsx-runtime";
import { connect, mapProps, mapReadPretty } from "@tachybase/schema";
import { Slider } from "antd";
import { ReadPretty } from "../input-number/ReadPretty.mjs";
const slider_Slider = connect((props)=>/*#__PURE__*/ jsx(Slider, {
        ...props
    }), mapProps((props)=>({
        ...props
    })), mapReadPretty(ReadPretty));
const slider = slider_Slider;
export { slider_Slider as Slider, slider as default };
